package com.dcit.danger.service;

import com.dcit.danger.model.RegulationType;
import com.dcit.danger.model.RegulationTypeExample;
import com.dcit.danger.model.SysCode;
import com.dcit.danger.model.SysCodeExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface RegulationTypeService {
	long countByExample(RegulationTypeExample example);

	int deleteByExample(RegulationTypeExample example);

	int deleteByPrimaryKey(String id);

	int insert(RegulationType record);

	int insertSelective(RegulationType record);

	List<RegulationType> selectByExample(RegulationTypeExample example);

	RegulationType selectByPrimaryKey(String id);

	int updateByExampleSelective(@Param("record") RegulationType record, @Param("example") RegulationTypeExample example);

	int updateByExample(@Param("record") RegulationType record, @Param("example") RegulationTypeExample example);

	int updateByPrimaryKeySelective(RegulationType record);

	int updateByPrimaryKey(RegulationType record);
}
